<div id="pageWrapper" class="oj-offcanvas-outer-wrapper oj-offcanvas-page">
  <!-- navigation drawer for off canvas -->
  <div id="navDrawer" role="navigation" class="oj-contrast-marker oj-web-applayout-offcanvas oj-offcanvas-start">
    <oj-navigation-list id="nav" data="[[$variables.navDataSource]]" edge="start" on-click="[[$page.functions.toggleDrawer]]" selection="[[$page.currentFlow]]" on-selection-changed="{{$listeners.onNavigation}}">
      <template slot="itemTemplate">
        <!-- Template for rendering navigation items -->
        <li>
          <a href="#">
            <span :class="[[$current.data.iconClass]]"></span>
            <oj-bind-text value="[[$current.data.name]]"></oj-bind-text>
          </a>
        </li>
      </template>
    </oj-navigation-list>
  </div>

  <!-- You can remove 'fixed-header' styleClass if sticky header functionality is not desired -->
  <!-- Similarly you can add 'fixed-footer' styleClass if sticky footer functionality is desired -->
  <div id="pageContent" class="oj-web-applayout-page fixed-header">
    <header role="banner" class="oj-web-applayout-header">
      <div class="oj-web-applayout-max-width oj-flex-bar oj-sm-align-items-center">
        <!-- Offcanvas toggle button -->
        <div class="oj-flex-bar-start oj-md-hide">
          <oj-button id="drawerToggleButton" class="oj-button-lg" on-oj-action="[[$page.functions.toggleDrawer]]" chroming="half" display="icons">
            <span slot="startIcon" class="oj-web-applayout-offcanvas-icon"></span>
            <span><oj-bind-text value="[[$page.translations.shell.shell_title_navigation_drawer]]"></oj-bind-text></span>
          </oj-button>
        </div>
        <div class="oj-flex-bar-middle oj-sm-align-items-baseline">
          <!-- Please Change the following for company specific logo   -->
          <!--img id="companyLogo" :src="[[ $application.path + 'pages/resources/images/oracle_logo.svg']]" :title="[[ $page.translations.shell.shell_logo_tooltip ]]" :alt="[[ $page.translations.shell.shell_logo_tooltip ]]"-->
          <h1 class="oj-sm-only-hide oj-web-applayout-header-title" :title="[[ $page.translations.shell.shell_title_tooltip ]]">Environment Dashboard
          </h1>
        </div>
        <div class="oj-flex-bar-end">
          <oj-toolbar id="toolbar1">
            <oj-menu-button id="userMenu" display="[[$application.responsive.smOnly ? 'icons' : 'all']]" chroming="half">
              <span slot="endIcon" :class="[[{'oj-icon vb-icon vb-icon-24 vb-icon-person': $application.responsive.smOnly , 'oj-component-icon oj-button-menu-dropdown-icon': !$application.responsive.smOnly}]]"></span>
              <oj-bind-text value="[[ $application.user.email ]]"></oj-bind-text>
              <oj-menu id="menu1" slot="menu" style="display:none">
                <oj-option id="out" value="out"><oj-bind-text value="[[ $page.translations.shell.shell_sign_out ]]"></oj-bind-text></oj-option>
              </oj-menu>
            </oj-menu-button>
          </oj-toolbar>
        </div>
      </div>
      <div role="navigation" class="oj-web-applayout-max-width oj-web-applayout-navbar">
        <oj-conveyor-belt id="navConveyorBelt">
          <oj-navigation-list id="navTabbar" class="oj-sm-only-hide oj-md-condense oj-md-justify-content-flex-end" data="[[$variables.navDataSource]]" edge="top" selection="[[$page.currentFlow]]" on-selection-changed="{{$listeners.onNavigation}}">
            <!-- Template for rendering navigation items -->
            <template slot="itemTemplate">
              <li>
                <a href="#">
                  <span :class="[[$current.data.iconClass]]"></span>
                  <oj-bind-text value="[[$current.data.name]]"></oj-bind-text>
                </a>
              </li>
            </template>
          </oj-navigation-list>
        </oj-conveyor-belt>
      </div>
    </header>

    <!-- for message notifications -->
    <oj-messages id="vbDefaultNotifier" position="{}" display="general" messages="{{$page.variables.messagesADP}}" on-oj-close="[[$listeners.onMessageClose]]"></oj-messages>

    <div class="oj-web-applayout-content-nopad oj-web-spacing oj-web-applayout-max-width">
      <div class="oj-web-applayout-content oj-flex oj-flex-items-pad">
        <!-- Where Visual Pages will be rendered -->
        <oj-vb-content id="vbRouterContent" class="vbcs-pages-module oj-flex-item" config="[[vbRouterFlow]]"></oj-vb-content>
      </div>
    </div>
    <footer class="oj-web-applayout-footer" role="contentinfo">
      <div class="oj-web-applayout-footer-item oj-web-applayout-max-width">
        <ul>
          <li>
            <a id="about" href="#" data-bind="click: function(){document.getElementById('aboutDialog').open()}">
              <oj-bind-text value="[[ $page.translations.shell.shell_footer_about_link ]]"></oj-bind-text>
            </a>
          </li>
        </ul>
      </div>
      <div class="oj-web-applayout-footer-item oj-text-secondary-color oj-text-sm oj-web-applayout-max-width"><oj-bind-text value="[[ $page.translations.shell.shell_footer_copyright ]]"></oj-bind-text></div>
    </footer>
  </div>
  <oj-dialog id="aboutDialog" :title="[[$page.translations.shell.shell_header_title]]" modality="modeless" style="min-width: 500px">
    <!-- Content of the about dialog -->
    <!--img id="aboutLogo" :src="[[ $application.path + 'pages/resources/images/oracle_logo.svg']]" :title="[[ $page.translations.shell.shell_logo_tooltip ]]" :alt="[[ $page.translations.shell.shell_logo_tooltip ]]"-->
    <div class="oj-web-applayout-footer-item oj-text-secondary-color oj-text-sm oj-web-applayout-max-width"><oj-bind-text value="[[ $page.translations.shell.shell_footer_copyright ]]"></oj-bind-text></div>
  </oj-dialog>
</div>